Package com.verisign.epp.codec.verificationcode

## Enum EPPVerificationCodeProfile.Status

- java.lang.Object
- - java.lang.Enum<EPPVerificationCodeProfile.Status>
  - - com.verisign.epp.codec.verificationcode.EPPVerificationCodeProfile.Status

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPVerificationCodeProfile.Status>`
  Enclosing class:
    EPPVerificationCodeProfile

      public static enum EPPVerificationCodeProfile.Status
      extends java.lang.Enum<EPPVerificationCodeProfile.Status>

  Verification statuses that include:
  - `NOT_APPLICABLE` - The profile status is not applicable to the client based on the assigned verification profiles or the profile specified.
  - `NON_COMPLIANT` - The object is non-compliant according to the verification profile.
  - `PENDING_COMPLIANCE` - The object is not in compliance with the verification profile, but has a grace period to set the required set of verification codes, as reflected by the due date of the verification code type.
  - `COMPLIANT` The object is compliant with the verification profile.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPLIANT` |
    `NON_COMPLIANT` |
    `NOT_APPLICABLE` |
    `PENDING_COMPLIANCE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPVerificationCodeProfile.Status` | `getStatus​(java.lang.String aString)` | Get the status enumerated value given the matching string.
    `java.lang.String` | `toString()` | Convert the enumerated `Status` value to a `String`.
    `static EPPVerificationCodeProfile.Status` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPVerificationCodeProfile.Status[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_APPLICABLE

          public static final EPPVerificationCodeProfile.Status NOT_APPLICABLE

    - #### NON_COMPLIANT

          public static final EPPVerificationCodeProfile.Status NON_COMPLIANT

    - #### PENDING_COMPLIANCE

          public static final EPPVerificationCodeProfile.Status PENDING_COMPLIANCE

    - #### COMPLIANT

          public static final EPPVerificationCodeProfile.Status COMPLIANT

  - ### Method Detail

    - #### values

          public static EPPVerificationCodeProfile.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPVerificationCodeProfile.Status c : EPPVerificationCodeProfile.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPVerificationCodeProfile.Status valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getStatus

          public static EPPVerificationCodeProfile.Status getStatus​(java.lang.String aString)

      Get the status enumerated value given the matching string.
      Parameters:
        `aString` - `Status` enumerated string to convert to an enumerated `Status` instance.
      Returns:
        Enumerated `Status` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `Status` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `Status` value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<EPPVerificationCodeProfile.Status>`